+++
title = 'about'
+++

![](taco.png)

**Daniel A. Gallegos**, also known as **“taco”,** is a [Full-Stack Software Developer](https://en.wikipedia.org/wiki/Solution_stack) and [Site Reliability Engineer](https://en.wikipedia.org/wiki/Site_reliability_engineering) who works with businesses, governments, [educators](https://web.archive.org/web/20230131144232/https://eberly.wvu.edu/news-events/eberly-news/2021/04/12/eberly-college-students-lead-gender-inclusivity-anti-racism-training-at-wvu), [non-profits](https://carrynaloxone.org/), and [startups](https://web.archive.org/web/20160901215818/https://devacademy.la/) to create digital solutions for your real-world problems, ranging from 🖥️ developing government enterprise applications, to 🎨 creating graphic assets for professional digital portfolios, to 🛠️ administering servers for a harm reduction coalition.

After spending a decade working with a variety of frontends, backends, deadends, software, hardware, various operating systems and more, Daniel is more than capable of handling whatever software or hardware problem you need solved.

Daniel has contributed to projects around the world, including developing enterprise software applications for the 🇵🇪 Peruvian government, creating on-brand graphic assets for multiple offices at 🎓 West Virginia University, redesigning an entire technical institute’s website, working as a HIPPA-compliant system administrator for a 🧑‍⚕️ harm reduction coalition and managing hundreds of 🐧 Linux servers in the cloud daily. In addition to his extensive software development and system operations experience, Daniel is a skilled technical writer, copywriter, graphic designer, and definitely doesn’t feel weird writing about himself in the third person. He’s a pro! 😉

Daniel holds a Bachelors in Multidisciplinary Studies (BMdS) from [West Virginia University](https://web.archive.org/web/20230728010055/https://lists.wvu.edu/graduation?county=&letter=--&name=&page=5&state=&term=fall&year=2021), which includes areas of study such as:

*   💻 Computer Science
*   🇺🇸 English
*   🇪🇸 Spanish
*   🇪🇨🇨🇴🇻🇪 Latin American Studies
*   🏳️‍🌈 LGBTQ+ Studies
*   other things classes he took and just enjoyed, tbh

He currently works as a [Site Reliability Engineer](https://en.wikipedia.org/wiki/Site_reliability_engineering) for some big healthcare corporation and as a [Webmaster](https://en.wikipedia.org/wiki/Webmaster) for a harm reduction coalition. In his free time, Daniel likes tinkering with Linux server administration and self-hosting technologies to better his life and the lives of those around him. As it is with most folks, Daniel’s opinions are his own and do not represent the views of his employer(s).
