---
title: "moving on from freenom"
date: "2023-10-06"
categories: 
  - "life"
  - "technology"
tags: 
  - "ga"
  - "daniel-ga"
  - "dns"
  - "domain"
  - "domain-names"
  - "freenom"
  - "gabon"
  - "mestizo-monster"
  - "networking"
  - "personal-websites"
  - "taco-ga"
  - "website"
  - "websites"
coverImage: "image.png"
---

> why am i still hanging on?
> 
> i'm just wasting time
> 
> forget my name
> 
> i'll do the same
> 
> **i'm moving on**
> 
> \- [Forget My Name, Coyote Theory](https://www.youtube.com/watch?v=c0VtyKTDbNw)

<figure>

![A screenshot of the Freenom admin interface showing the domain daniel.ga being active and paid for.](https://mestizomonster.files.wordpress.com/2023/10/screenshot_20231006_172053.png?w=1024)

<figcaption>

goodnight, sweet prince.

</figcaption>

</figure>

**tl;dr:** Freenom was forced to hand over all of their .ga domains because the government of Gabon is reclaiming all those domains without a clear path forward for Freenom users. Freenom screwed a bunch of paying customers over, like me; I used to host my personal website on there. However, instead of transferring that site or re-registering it, now I’m here, on [mestizo.monster](https://mestizo.monster). You should do your research when registering domains. Capitalism sucks (as usual). 🫤

* * *

Depending on when you’re reading this, I host/used to host a personal website for myself at [`daniel.ga/llegos`](https://web.archive.org/web/20231005005157/https://daniel.ga/llegos/). The reason for creating this was twofold:

1. It was a cool [domain hack](https://en.wikipedia.org/wiki/Domain_hack) to show off my neat name my mom and dad gave me: [Daniel](https://en.wikipedia.org/wiki/Daniel) [Gallegos](https://en.wikipedia.org/wiki/Gallegos).
2. The `.ga` domain was _free_! [As in beer](https://en.wiktionary.org/wiki/free_as_in_beer). (At the time.)

FreeNom, a domain name registrar, started offering free `.ga` domain name registration from June 12-14, 2013. This was a part of their free offerings from domains including `.tk`, `.cf`, and `.ml`. I didn’t hear about them until 2016. Stumbling across their page made me excited as a broke teenager. I didn’t know any better; I was getting a free domain name! There shouldn’t be any downsides, _right_?

## the immediate downsides of registering “free” domain names

You can go… _wild_ with domains when they’re free. You start blasting out registrations. I say this from experience. Another `.ga` domain name I registered name was a food-related noun you’re familiar with. The almighty taco. 🌮 As someone who likes managing multiple websites that have no purpose except to be funny domain names, I _immediately_ registered `taco.ga`. It was _free_, right? My friend at the time told me that it reminded them of the [Final Fantasy spell name system](https://finalfantasy.fandom.com/wiki/Magic_tier_system#Overview). I thought hosting an image upload site or a link shortening site would be helpful and amusing. Get two birds stoned at once, or however you say that phrase. An old friend of mine gave me access to his cPanel and let me tinker with setting up web hosting space and different projects that could run on his host, for _freeeee_! I started uploading my screenshots from ShareX to a folder that pointed to `taco.ga`, thinking:

\> “This is a permanent solution to my image hosting needs and I won’t ever need to use Imgur ever again!”

And, for a _few_ weeks, I was right! I even submitted a Wikipedia edit using a hyperlink to an image that proved that the subject of the page wanted a page moved. That’s how you know I trusted it. I was proud of myself. I had created my own space for my own images, and nobody could stop me.

Well… nobody… except the domain registrar. But they wouldn’t do that to me, _right_?

## how a “free” domain registrar stopped me from owning my domain

There were a few T&Cs that I didn’t read closely when I signed up to Freenom’s services. They were pretty reasonable, don’t host anything illegal along with other terms I glazed over. For my uses, this had to be perfectly fine. However, there was a clause that allowed them to reclaim any “unused” domain names if there wasn’t (what they deemed to be) sufficient… “content” on the front page of the site. That means if I didn’t have an `index.html` saying _“hello world”_ or anything on there, they had the legal right to take my domain name away from me. Mind you, I wasn’t hosting illegal images on there or anything. All I was uploading were random screenshots from my computing life, which was pretty boring. I hadn’t put a “frontend” on my page yet, if that’s what they wanted. It, like all the things I put online, was a constant work in progress.

I don’t remember the full death of `taco.ga` well; I can’t give you a proper ‘postmortem’. All I remember is that I was upset about it. They may have sent me an email “telling me” that they were taking it away, but I never saw it hit my inbox. It was a short, proper noun domain that I had started to depend on and they took it away from me. However, I now noticed that when I searched for `taco.ga` on their “free” registration site, it suddenly had a value attached to it instead of being “free”: ten bucks! Alright, it wasn’t _that_ expensive, but I had no money. I was a young teenager living in the middle of South America, at the time. **What** money? I was paywalled out of my own project. What gives?

### how “free” domains don’t turn out to be free

I’m sure you can see a strategy here. Freenom’s plan was the following:

- bait a customer into a “free” domain with vague Terms of Service that nobody will read; you can snatch it back if needed
- snatch the domain back from the customer for arbitrary reasons that were in your Terms of Service
- make the customer pay if they want their domain back since they’ve been using it

And the worst part? It **worked**. I was scared enough with the loss of `taco.ga` that I went out and purchased `daniel.ga` for two years after asking my mom to please help me with my fledgling “technology professional career” (or whatever you want to call my current employment situation). After getting the green light from the woman with the cash, I used my mom’s debit card to purchase and solidify my “professional presence” online. You know, like an adult. 😎

Now that I had my domain name and solidified my presence online, there wouldn’t be any more issues, _right_?

### how “free” domain names are free for… _everyone_

Related side tangent: I block ads, and so should you. There’s [a laundry list of reasons why I do](https://www.eff.org/deeplinks/2019/07/adblocking-how-about-nah), but I personally do it to keep myself and anyone on my network safe from malware online. I won’t go into too much detail here, but trust me: you should get [uBlock Origin](https://ublockorigin.com) set up in your browser of choice. Do it for me. 🙏

I have a Raspberry Pi 3B that I use as an ad-blocking DNS server. I had it running [Pi-Hole](https://pi-hole.net) with an [Unbound](https://dietpi.com/docs/software/dns_servers/) recursive DNS server in the past, but now I’ve swapped out Pi-Hole with [AdGuard Home](https://github.com/AdguardTeam/AdGuardHome). It had a nicer user interface and has a lot of blocklists built in, which was an issue I was facing with Pi-Hole – constantly having to maintain my internet blocklists. I could add my own and disable lists I wanted within their UI with ease… I was more than happy to switch. Moreover, the software allowed me to enable categories for multiple languages. Since I frequent a lot of Spanish-language sites as a native Spanish speaker, I enable these when I get the chance.

I run an [Uptime Kuma](https://github.com/louislam/uptime-kuma) instance here locally and on a VPS I own to [monitor the uptime of Fediverse instances I like](https://uptime.birdcat.cafe) and [make sure that my private, personal, and professional projects are all online](https://uptime.tacowolf.net). After making the switch to AdGuard Home, however, I noticed that `daniel.ga` was suddenly “offline” for me locally. This confused me; the DNS was parked on a large provider (CloudFlare) at the time. They should be able to serve my site efficiently without any issues, _right_?

### how people use and abuse “free” domains

I hopped onto my phone’s network to try and diagnose the problem. I was able to pull up my website, no issues, but I wasn’t running an ad blocker locally on my phone. (I should set that up…) When I `dig`’d into the situation on my terminal on my ad-blocking home network, however, I noticed that I was blocking my own website somewhere: the DNS was redirecting to the localhost `127.0.0.1` blackhole. What gives?

As fate would have it… one of [AdGuard Home’s Filter Spanish language filter lists](https://github.com/AdguardTeam/AdguardFilters/blob/master/SpanishFilter/sections/antiadblock.txt#L876) blocks a lot of `.ga`, and other associated FreeNom addresses. They’re not alone. Many Fediverse instances cite `.ga`, `.tk`, `.cf`, `.ml` domain name instances as “block on site”. They’re “unstable” to host on and are commonly used for spammy ActivityPub posts and contribute to negative Fediverse health. But why these domains in particular? Shouldn’t Freenom be doing something?! This is against their Terms of Service, _right_?

For the answer to this, we must (begrudgingly) look to [Big Tech](https://en.wikipedia.org/wiki/Big_Tech); in particular, FaceVerseMetaBook. [KrebsonSecurity reported in 2022](https://krebsonsecurity.com/2023/03/sued-by-meta-freenom-halts-domain-registrations/) that they filed a lawsuit last year against Freenom, claiming that Freenom is not doing their due diligence in responding to nearly 100k requests regarding “unlawful activity including cybersquatting and phishing”. Because we keep ad blockers on to protect ourselves from attacks such as these, this is a clear reason to add the entirety of the `.ga` domain name to a blocklist: you can’t trust the domain name registrar, Freenom, to do their job! After FaceMetaBookVerse sent their lawyers to Freenom, Freenom’s engineers finally woke up and [started to process the mountain of requests they had in their inbox](https://krebsonsecurity.com/2023/05/phishing-domains-tanked-after-meta-sued-freenom/). However, the damage had already been done. The domains were poisoned.

Big Tech isn’t alone in being annoyed by Freenom’s lack of action. All the countries that the domains belong to are upset that their domain names are on a bunch of blocklists. That’s right, those domains (`.ga`, `.tk`, `.cf`, `.ml`) have countries that they originate from!

- `.ga` - [Gabon](https://en.wikipedia.org/wiki/Gabon), a country in West Central Africa
- `.tk` - [Tokelau](https://en.wikipedia.org/wiki/Tokelau), a nation off the coast of New Zealand
- `.cf` - the [Central African Republic](https://en.wikipedia.org/wiki/Central_African_Republic), a country in Central Africa
- `.ml` - [Mali](https://en.wikipedia.org/wiki/Mali), a country in West Africa

Freenom took advantage of the weak IT infrastructure in these countries and entered a partnership with them with the belief that “providing free domain names to \[the\] internet population will greatly improve the usage and knowledge of the IT industry in the country”, [the Dot ML Registry claimed in 2013](https://web.archive.org/web/20130417233107/http://www.freedomregistry.com/dotml_pressrelease_04082013.pdf) {pdf}. I… don’t think they achieved that goal. [A press release from ANINF](https://www.afnic.fr/wp-media/uploads/2023/05/ga-domain-names-soon-to-return-to-Gabonese-management-1.pdf), a national agency responsible for digital infrastructure within the Gabonese government, states that Freenom has failed to provide the internet community with services that properly represent the interests of the Gabon IT industry and the industry at large. As a paying customer (read: part of the industry at large), I am also not satisfied. Because of Freenom’s laziness in keeping up their “free”, predatory service, multiple countries are now suffering from their domains being abused for phishing and hosting malware.

## lessons learned

> and so what we have learned applies to our lives today
> 
> and taco has a lot to say
> 
> in this post!
> 
> \- [tacotales, i guess?](https://www.youtube.com/watch?v=KuuBkw7QXEI)

What can we learn from this? Multiple things:

- If you’re getting something for free, there’s a catch.

I’ve been maintaining other, paid `.net`, `.cafe`, `.party`, and other domains for multiple years and haven’t run into any issues with ad blocklists. Freenom was taking advantage of users by providing a “free” service that preyed on them reclaiming domains and making you pay for them if you wanted them back. I register my domains with [Porkbun](https://porkbun.com) and manage my DNS with [Bunny](https://bunny.net), now, and I’m much happier and have more peace of mind. (Not sponsored, I just like their services.)

- Don’t depend on country-based domains unless you live in them.

I’m not from Gabon. Don’t plan on visiting anytime soon, but I bet it’s lovely! (I have my own South American countries to visit.) However, I wish the people of Gabon the best success in reclaiming their domains. The people of Gabon, Mali, the CAR, and the nation of Tokelau should be using their own domain names instead of random spammers on the internet. Domain hacks are cool, but think about the people you may be affecting with your domain hack. Someone named Daniel in Gabon probably wants this domain name, and they should get it instead of me.

- Check blocklists to see if the domain name you’re registering is blocked somewhere, just in case!

Searching through [AdGuard’s Filter list](https://github.com/AdguardTeam/AdguardFilters) is a good place to start. There’s a ton of blocklists out there for Pi-Hole, AdGuard Home, and many others. I’m sure you can find them. You’re resourceful.

- Check how much your domain is going to cost you yearly!

I don’t pay more for $30 yearly for a domain. This is going to change in the future thanks to inflation, but you should expect, right now, to pay about $15-20 for a good domain name each year. As a web developer, I have fun creating domain names and goofy websites to go along with them. It’s a hobby, but it can get expensive quick! Remember that this is a commitment you’re going to sign up to pay each year. Think it through!

Personally, after thinking it through myself, I came to this conclusion: instead of renewing `daniel.ga`, I bought a new domain name that feels more authentic to me and doesn’t depend on people knowing my name. You’re on it right now! I’m also taking this opportunity to test out writing posts through WordPress after being a static site nerd for a decade. It’s a bold strategy for taco, let’s see how it plays out… 🤔

## in conclusion

`daniel.ga/llegos` is dead. Freenom killed it. 💀

Long live `mestizo.monster`. 😈
