---
title: "[old] everhour vs. hubstaff"
date: "2017-01-11"
tags: 
  - "english"
  - "everhour"
  - "startup"
  - "tech"
  - "time-management"
---

> **disclaimer:** this post is really old, from when i first started writing technical articles. it's from 2017.

![](images/cd7de-177ylvnpfmzpdvg6-8zzbwq.png)

#### What the difference is, and why you might want to switch

Here at [devAcademy](https://medium.com/u/e90784f3811e) we constantly strive to make ourselves better and find the tools to make our workflow more efficient and streamlined. This helps our developers be less stressed about the way they manage their time, leaving them to focus fully on the work they need to do.

Recently, we tried out [Everhour](https://everhour.com/?utm_source=devacademy&utm_campaign=k-devacademy-medium&utm_medium=blog) and implemented it into our workflow. After trying it out for a week, we’ve decided we want to stick with it. Here’s why.

#### Reporting vs. Tracking

If you look at our previous articles, you’ll notice that we were using Hubstaff before we switched. Hubstaff’s workflow focuses on tracking what hours you’ve worked. Everhour focuses on tracking the tasks you’ve completed instead, letting your working hours be a bit more flexible.

That’s not to say that Hubstaff isn’t good — Hubstaff is actually pretty good! Their billing system helped us pay our employees by the hour according to what they really clocked in, but we soon realized that it didn’t fit our agile workflow. Hubstaff works best in companies using a more traditional workflow, one where the time spent on a project is more valued than the final product itself.

![](https://cdn-images-1.medium.com/max/800/0*wWduLU_7L61QPSfL.)

We focus more on providing our clients with a quality final product, so time tracking isn’t as important. We contract our part-time employees per project, not per number of hours. With our agile way of working, we can’t set rigid time frames on the projects we work on — it breaks the flow of what needs to be done.

By using Everhour, we’re able to more easily quantify how long we’ll take on a project without feeling pressured to complete our work. We can take our time on each project and work without feeling the weight of an impending deadline on our shoulders.

#### Keeping ourselves secure and trusting ourselves

Our old tool had a feature that took screenshots periodically. This feature allows higher-ups in the company to review and check what we were really doing in the time we tracked. This doesn’t really work in our company, though. We all felt like we were being watched over our shoulder, and like we weren’t trusted enough to get stuff done.

Here at devAcademy, we believe in everyone having an equal footing, where titles shouldn’t matter and where ideas can flow. This tool unintentionally created a hierarchy of people who administrated the tool, making others feel inferior and uncomfortable. This is not to say that the tool is bad — it just doesn’t work for us.

Along with that anxious feeling that being watched, we noticed that the only transparent way to track what we we’re doing is by taking screenshots without blurring them. This poses a new problem.

<figure>

![](images/bd437-0ven-lxa4shczster.jpg)

<figcaption>

[\[Watching the Watchers — Carsten\]](https://stock.tookapic.com/photos/56574)

</figcaption>

</figure>

Any security buff knows that taking screenshots periodically and sending them to the cloud can invite people to try and peek on personal information that you access while you’re working. The images taken can include passwords and key parts of the projects we were working on that we didn’t want to make public. This is a problem that worried many of our developers.

By using Everhour, we’re able to feel less restricted and work freely without having to avoid things that could otherwise expose parts of our personal life, like bank statements or access keys. Many of us have reported feeling like we can be more relaxed here with how we tackle problems, letting our work flow freely instead of being restricted to a rigid time frame.

#### A seamless reporting experience

Have I mentioned Everhour’s Chrome Extention? It’s pretty awesome. It integrates directly into Basecamp, allowing us to get to work on tasks in Basecamp 3 right away instead of having to switch to another app. This seamless integration into the apps we already use lets us implement it without an extensive onboarding — we can just use Everhour as if it were a natural thing to do.

With Hubstaff, we had to switch to another application and wait for all of our Basecamp 3 tasks to sync with their API to begin working. This happened _often_. With Everhour, we’re able to get start working right when we assign/we’re assigned tasks.

![](images/cef75-1tnaxnkod-ua-jubkybbjjq.png)

Along with letting us track time, Everhour lets us estimate the amount of time we might spend on a project, letting us better plan out our list of things to tackle this coming week. The best part about all of this is, it’s all right there in Basecamp! It’s so seamless that you don’t even have think about adding an estimate, it seems like part of the natural process of adding a new To-Do.

![](images/981e4-13g0n1g8n-q-2iybduwbigw.png)

Another thing we adore about Everhour is their rigorous reporting system. We highlighted how much we like reporting in our Basecamp article, and this system helps us integrate Everhour effortlessly with our workflow on Basecamp 3.

The last reporting system we used left us with much to be desired, so this is a breath of fresh air. You can create custom reports, which has a easy to use interface that allows you to change any aspect of how everything is presented to the other users.

<figure>

![](images/73d11-1tk52ev52bomsllbs7-2lxw.png)

<figcaption>

Ricing time.

</figcaption>

</figure>

This helps us with our daily report reviewing what we did yesterday and what we’re going to do today. In fact, we just include a screenshot of a predetermined custom report and describe what wasn’t “closed” yesterday that was left to be done today.

![](images/812c9-1yskjzal45dfzvfexvxgwbw.png)

This makes it easier for us to start our day and get informed on what everyone’s doing, refreshing ourselves on what we did yesterday and what needs to get done.

There’s a lot more to Everhour, and it has a lot of potential. We’re integrating it into our workflow because it works really well for us. It’s streamlined how we communicate with each other on what projects we’re doing. We think it’ll work great for you too.

If you’re interested in trying out [Everhour](https://everhour.com/?utm_source=devacademy&utm_campaign=k-devacademy-medium&utm_medium=blog), we have a special code just for our readers:

```
devacademy
```

This code will allow you to get a 10% lifetime discount on your [Everhour](https://everhour.com/?utm_source=devacademy&utm_campaign=k-devacademy-medium&utm_medium=blog) subscription. Use it when you’re checking out to take advantage of being one of our awesome readers. 😉

* * *

### If you really liked this post, be sure to click that little heart so that others can find it!

#### And if you liked this, you should check these articles out:

\[embed\]https://stories.devacademy.la/hello-basecamp-farewell-slack-35ed2e2de6b9\[/embed\]\[embed\]https://stories.devacademy.la/hello-basecamp-farewell-slack-35ed2e2de6b9\[/embed\]\[embed\]https://stories.devacademy.la/hello-basecamp-farewell-slack-35ed2e2de6b9\[/embed\]
