---
title: "[old] hello, basecamp — farewell, slack"
date: "2016-10-28"
tags: 
  - "communication"
  - "english"
  - "productivity"
  - "startup"
  - "tech"
---

> **disclaimer:** this post is really old, from when i first started writing technical articles. it's from 2016.
> 
> (i no longer recommend basecamp.)

<figure>

![](images/93ff6-19wudiq3-onrs5yerswabrq.png)

<figcaption>

c:

</figcaption>

</figure>

#### Why we stopped Slacking and set up a Basecamp

We recently switched to Basecamp at [devAcademy](https://medium.com/u/e90784f3811e). We’ve used a few tools to organize and communicate within ourselves, but were never satisfied. We settled on Basecamp after reviewing a few options. Why are we taking the plunge? Let’s find out.

* * *

I have never met anyone who has told me that managing a company is easy. It’s actually quite hard, and many people will tell you the same.

Why?

Because you hired human beings.

![](images/ac1d6-14rnjkfsxp6uctmagcccllg.png)

It won’t matter if your team members come from the same school, like the same things, or work on the same things. They’ll always find a way to clash with each other. I’m not going to lie — I don’t always get along with everyone at dev, and that’s natural! You can’t expect others to get along with everything you do. It’s because you’re not a robot. It’s [only human](https://youtu.be/MXvVX3mI978?t=12). Luckily, that’s where Basecamp comes in.

Basecamp isn’t like Slack or Trello. It’s a project management system that works differently from anything else we’ve ever seen. Instead of using lists of cards like Trello, it uses a more forum-like discussion system. Blended with to-do checklists, this lets you manage your projects easier. Instead of having lots of channels like Slack, you simply chat in a per-project Campfire that’s already integrated into each project.

#### Let’s muse about management

Before moving to Basecamp, we tried a lot of platforms to work on projects together. Trello was one of the strongest competitors, and we used it for a long time. It’s the platform I was introduced to when I first joined devAcademy.

Trello is a project management application that’s entirely on the web. It’s really neat! The entire platform feels fluid and easy to use. They use the kanban paradigm for managing projects, which is separated into boards, which have lists (columns) of cards that let you organize tasks, each with their own to-do lists, descriptions, and comments.

<figure>

![](images/c92b5-1cejlmlda0syljfk05mikqg.png)

<figcaption>

Kanban is a weird word, but it makes for a decent platform.

</figcaption>

</figure>

Trello isn’t bad by any means, but it doesn’t fit our workflow. There’s no reporting system. This means that you have to manually search for the things that are due on someone’s plate. That’s time that we don’t have to dedicate to see what we need to do or what others need to do. Projects got dragged behind and people didn’t know what they needed to do. It lowered our productivity instead of elevating it.

Cards are great for collecting ideas, but they’re not good at giving you a list of things to do. The cards floated around and would always move from one list to another and we would never feel like we could check something off and finish it. It was archived and never seen again.

Basecamp 3 has a whole new way of looking at project organization. Tasks are now individual items in a to-do list, which you can check off when you’re done. (It’s satisfying.)

![](images/7e021-1zxm8vh5p5srz9afb3s751q.png)

Each item in a list can have anything you can imagine. You can add a due date, comment on it, attach files, assign it to someone… the list goes on. It’s super handy and fluid.

Another thing I’d like to gush about is Basecamp’s report system.

![](images/a7fbf-1v0myibwrnk1o2qitqd_qqg.png)

You can ask for a variety of reports in Basecamp 3, and each one provides insight on what everyone is doing or what everyone needs to do.

- “What’s overdue?” gives you a list of tasks that are overdue across your teams and projects. Super awesome for checking up on things that should’ve been done yesterday so you can remind yourself (and others) on what needs to be done!

- “What’s coming up or due soon?” gives you a nice list of chronologically organized tasks across all teams and projects that have a due date. It’s a way of knowing what to expect in the future without having to dig too much into your projects.

- “What’s new to-do and what’s to-done?” is a clever way of letting you know what things have been added to project checklists and what’s been completed.

- “What’s on someone’s plate?” gives you a nice list of things that someone needs to do. You can check if [Kattya](https://medium.com/u/7cd86522af8d) is going to host another devHangout this week, or if [Lennon](https://medium.com/u/57f86eb26cec) is going to [buy more Post-It notes today](https://www.facebook.com/photo.php?fbid=10209678661577801&set=a.4350837243595.2168310.1067527170&type=3).

- “What has someone been up to?” shows you what someone’s been doing! This is a great way to review someone’s progress on projects, or what they’ve been posting on Team Message Boards.

- “Who clapped for me?” 👏 check 👏 those 👏 mf 👏 claps 👏 so 👏 you 👏 feel 👏 good 👏

I’d like to emphasize that reports have helped us immensely at dev. We’re able to see everything clearly and micro-manage ourselves instead of relying on others to nudge us on things that we need to do.

#### Let’s chat about chatting

Along with switching out our project management for Basecamp’s, we migrated our chat from Slack to Basecamp. Slack isn’t a bad chat platform, by any means. In fact, I was singing [Slack](https://medium.com/u/26d90a99f605)’s praises a few months ago:

\[embed\]https://stories.devacademy.la/why-slack-is-the-best-chat-platform-for-your-team-a13cd07881\[/embed\]

Slack is a great hub for people to communicate with each other. They’re the best chat platform I’ve seen yet. They have awesome archiving, great unfurls, custom emojis and awesome mobile apps. They’re dominating the chat platform field.

![](images/fdf34-1yldut_yvqidlddtc0p4mja.png)

That doesn’t mean that it’s perfect, of course. Slack is not made for organizing ideas. It’s made for watercooler talk. Channels can be made for separate topics, but it’s a hell of a hassle to sift through the information presented. You have one of two options:

1. Make a billion channels and have nobody use any of them

3. Only have one channel and experience what the depths of hell feel like

Along with that, Slack pressures you into replying to comments and threads _right now_ instead of letting you take your time with messages. This can become an excessive, compulsive checking of your notifications, leading to less productive teams. These can cause unwanted anxiety, as well, even if it doesn’t mean to.

> “Have I checked my notifications recently? Is there a message I missed?”

Basecamp lets you organize all of your information and use message boards to post threads instead of cumbersome chat rooms. Important information can be sorted into teams, and it’s encouraged to use the message boards instead of chats, but the functionality is still there! Campfires are Basecamp’s chat hubs, where you can chat with everyone on that team about everything related to the topic at hand whenever you have a moment.

<figure>

![](images/7ab4b-1vtjbjr7fgbqc1gvljgsykq.png)

<figcaption>

The Surface Studio _does look pretty hella, not gonna lie_

</figcaption>

</figure>

#### Let’s speak of synchronousness

One of Basecamp’s biggest selling points is that projects can function better if work is asynchronous. A lot of chat platforms and time-saving tools overwhelm users with notifications at times. I really like what one of the founders of Basecamp has to say about interrupting people while they’re being productive:

> …very few things need to be resolved quickly. “Now” is a huge ask of someone else. You may care, but what someone else is already doing may be even more important. That’s why any forms of interruption should be used very carefully.

_\-_ [_Jason Fried_](https://medium.com/u/c030228809f2) _(_[_source_](https://medium.com/@jasonfried/my-fundamental-point-is-that-very-few-things-need-to-be-resolved-quickly-8f070ef5c6a#.oeunj9tk6)_)_

(Jason also wrote an awesome article on why he built Basecamp differently, which you can read [here](https://m.signalvnoise.com/is-group-chat-making-you-sweat-744659addf7d#.rtxx8qcv8).)

At [devAcademy](https://medium.com/u/e90784f3811e), we believe in creating an environment where our developers can code happily. If our team is happy, that means that our clients will be happier, because we’ll be making better products!

We switched to Basecamp because we want an easier way of knowing what’s on everyone’s plate. We wanted to reduce some of the stress that natural comes with work. It’s made us more productive and able to focus better on our tasks.

We think you should, too. ❤
